kron {fBasics} | R Documentation

## Kronecker Product

### Description

Returns the Kronecker product.

### Usage

    kron(x, y)

### Arguments

`x, y` | two numeric matrixes.

### Details

The Kronecker product can be computed using the operator `%x%` or alternatively using the function `kron` for SPlus compatibility.

### Note

`kron` is a synonyme to `%x%`.

### References

Golub, van Loan, (1996); Matrix Computations, 3rd edition. Johns Hopkins University Press.

### Examples

    ## Create Pascal Matrix:
       P = pascal(3)
       P

    ## Return the Kronecker Product
       kron(P, diag(3))
       P

[Package fBasics version 3042.89 Index]